Support » Plugin: Progressive WordPress (PWA) » OneSignal Integration Not Working

  • Resolved Matt

    (@yellowlionsolutions)


    I followed the instructions for integrating OneSignal, and while the initial subscription notifications display when visiting the site allowing them does not register the device with OneSignal, and I am unable to send notifications to those devices.

    I contacted OneSignal and this appears to be a service worker issue, I am getting a ‘GET https://cdn.onesignal.com/sdks/OneSignalSDK.js net::ERR_BLOCKED_BY_CLIENT’ error on each page and after a quick review of the code it appears that only one of their service worker js files is being included in the ‘PWP register’ function – importScripts(‘https://cdn.onesignal.com/sdks/OneSignalSDKWorker.js’); which is likely the reason I am seeing the error for the other one. Any help you could provide would be very much appreciated.

    Thanks in advance,
    Matt

Viewing 6 replies - 1 through 6 (of 6 total)
  • azbce

    (@azbce)

    I’m having the same exact issue. I was told by OneSignal to follow this article and it still hasn’t worked. They suggested that I need to include any other service workers in the OneSignal service worker because the OneSignal plugin is configured to override other service workers.

    Someone correct me if I’m wrong, but the two are not compatible without heavy modification to the OneSignal service worker.

    Plugin Author Nico Martin

    (@nico_martin)

    Progressive WordPress was compatible with oneSignal. But after several times where they changed their implemenration and broke that compatibility I stopped trying to keep up with their decissions.

    Neo

    (@firefliespilots)

    Dear Nico, I have the same problem now. Neither of these is compatible with OneSignal as described in the description. Is your plugin still being maintained, or will it be discontinued soon? I am happy to pay money for such a good plugin. Programming work has to be rewarded. Is your plugin currently not compatible with OneSignal? Thank you and best regards to Switzerland Neo (-;

    Plugin Author Nico Martin

    (@nico_martin)

    Hi Neo

    Progressive WordPress is not compatible with OneSignal anymore.
    But yes, my plugin is still maintained. At the moment I am working on a completely new version, in which it will also be possible to pay for additional functionalities. This will hopefully allow me to spend more time on development.

    Kind regards,
    Nico

    Neo

    (@firefliespilots)

    Dear Nico, that sounds good. I also no longer use OneSignal and prefer to use Firebase or Pushpanda in combination with your plugin. Because I’ve tested your plugin against everyone else on the market, and it’s the most intuitive and best-working. I think better. OneSignal is not as versatile as you might think. I’m glad that you continue. Let it be well with you. Cheers Neo

Viewing 6 replies - 1 through 6 (of 6 total)
  • You must be logged in to reply to this topic.